Skip to content

Interest credited series for the account

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Interest credited series for the account

Security
oauth2ClientCredentials(Required scopes: investments:read)
Path
fundAccountIdstringrequired
Query
rangestring
Default:"7D"
Enum:"7D""1M""3M""ALL"
Headers
Idempotency-Keystring

Required on write endpoints (POST). UUID per submission. Middleware dedupes for 24h.

org_wallet_refstring
business_idstringrequired
curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/investments/accounts/{fundAccountId}/interest-series?range=7D' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Idempotency-Key: string' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Bodyapplication/json
rangestringrequired
Enum:"7D""1M""3M""ALL"
currencystringrequired
Example:"KES"
seriesArray of objects(InterestSeriesPointDto)required
total_interestnumberrequired

Sum of series.amount within range

Example:1284.56
Response
{ "range": "7D", "currency": "KES", "series": [ {} ], "total_interest": 1284.56 }